Class HealthCheckList.Builder (1.88.0)

public static final class HealthCheckList.Builder extends GeneratedMessageV3.Builder<HealthCheckList.Builder> implements HealthCheckListOrBuilder

Contains a list of HealthCheck resources.

Protobuf type google.cloud.compute.v1.HealthCheckList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends HealthCheck> values)

public HealthCheckList.Builder addAllItems(Iterable<? extends HealthCheck> values)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.HealthCheck>
Returns
Type Description
HealthCheckList.Builder

addItems(HealthCheck value)

public HealthCheckList.Builder addItems(HealthCheck value)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
value HealthCheck
Returns
Type Description
HealthCheckList.Builder

addItems(HealthCheck.Builder builderForValue)

public HealthCheckList.Builder addItems(HealthCheck.Builder builderForValue)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
builderForValue HealthCheck.Builder
Returns
Type Description
HealthCheckList.Builder

addItems(int index, HealthCheck value)

public HealthCheckList.Builder addItems(int index, HealthCheck value)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameters
Name Description
index int
value HealthCheck
Returns
Type Description
HealthCheckList.Builder

addItems(int index, HealthCheck.Builder builderForValue)

public HealthCheckList.Builder addItems(int index, HealthCheck.Builder builderForValue)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameters
Name Description
index int
builderForValue HealthCheck.Builder
Returns
Type Description
HealthCheckList.Builder

addItemsBuilder()

public HealthCheck.Builder addItemsBuilder()

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Returns
Type Description
HealthCheck.Builder

addItemsBuilder(int index)

public HealthCheck.Builder addItemsBuilder(int index)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
HealthCheck.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public HealthCheckList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
HealthCheckList.Builder
Overrides

build()

public HealthCheckList build()
Returns
Type Description
HealthCheckList

buildPartial()

public HealthCheckList buildPartial()
Returns
Type Description
HealthCheckList

clear()

public HealthCheckList.Builder clear()
Returns
Type Description
HealthCheckList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public HealthCheckList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
HealthCheckList.Builder
Overrides

clearId()

public HealthCheckList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
HealthCheckList.Builder

This builder for chaining.

clearItems()

public HealthCheckList.Builder clearItems()

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Returns
Type Description
HealthCheckList.Builder

clearKind()

public HealthCheckList.Builder clearKind()

Type of resource.

optional string kind = 3292052;

Returns
Type Description
HealthCheckList.Builder

This builder for chaining.

clearNextPageToken()

public HealthCheckList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
HealthCheckList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public HealthCheckList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
HealthCheckList.Builder
Overrides
public HealthCheckList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
HealthCheckList.Builder

This builder for chaining.

clearWarning()

public HealthCheckList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
HealthCheckList.Builder

clone()

public HealthCheckList.Builder clone()
Returns
Type Description
HealthCheckList.Builder
Overrides

getDefaultInstanceForType()

public HealthCheckList getDefaultInstanceForType()
Returns
Type Description
HealthCheckList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public HealthCheck getItems(int index)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
HealthCheck

getItemsBuilder(int index)

public HealthCheck.Builder getItemsBuilder(int index)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
HealthCheck.Builder

getItemsBuilderList()

public List<HealthCheck.Builder> getItemsBuilderList()

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Returns
Type Description
int

getItemsList()

public List<HealthCheck> getItemsList()

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Returns
Type Description
List<HealthCheck>

getItemsOrBuilder(int index)

public HealthCheckOrBuilder getItemsOrBuilder(int index)

A list of HealthCheck resources.

repeated .google.cloud.compute.v1.HealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
HealthCheckOrBuilder